org.springframework.messaging.simp.user

## Interface SimpSubscriptionMatcher

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface SimpSubscriptionMatcher

A strategy for matching subscriptions.

Since:
  4.2
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `match(SimpSubscription subscription)` Match the given subscription.

### Method Detail

#### match

    boolean match(SimpSubscription subscription)

Match the given subscription.

Parameters:
  `subscription` - the subscription to match
Returns:
  `true` in case of a match, `false` otherwise